1

I'm experiencing a problem in installing OTB for QGIS 2.8.15 in my ubuntu 16.04.

I'm following the instructions in https://wiki.orfeo-toolbox.org/index.php/QGIS_access_to_OTB_applications

but when I do "make" I obtain this error

/usr/bin/ld: /usr/local/lib/libpython2.7.a(abstract.o): relocation R_X86_64_32S against `_Py_NotImplementedStruct' can not be used when making a shared object; recompile with -fPIC
  • Why don't you use the otb package from the ubuntugis unstable ppa? – AndreJ Dec 18 '17 at 17:14
  • Interesting. I didn't know. May you give me some other info thanx? – ilFonta Dec 18 '17 at 23:04
  • The otb wiki seems a bit outdated. The download page of QGIS and launchpad.net/~ubuntugis/+archive/ubuntu/ubuntugis-unstable tell you how to add the ubuntugis ppa. It comes with a current GDAL version, so you need the QGIS repo with ubuntugis support as well. You need to remove and purge QGIS before if you have used the debian repo, and maybe the self-compiled otb stuff. – AndreJ Dec 19 '17 at 6:56
  • Thank you very much. At the end I installed the standalone version of OTB with the Monteverdi interface. I find it very clear and intuitive. Maybe I will give up and I will stay use it. Thank you very much – ilFonta Dec 19 '17 at 18:03

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Browse other questions tagged or ask your own question.